export default function TakeCommand(args, context) {
    const room = context.getRoom(context.player.currentRoom);
    const items = room.getItems();
    let item = null;
    for (let i of items) {
        if (i.name.includes(args[1])) {
            item = i;
            break;
        }
    }
    if (!item) {
        context.print(`You can't find any ${args[1]}.`);
    } else {
        if (!item.takeable) {
            context.print(`You can't take ${item.name}.`);
        } else {
            room.removeItem(item.id);
            context.player.addItem(item.id);
            context.print(`You take ${item.name}.`);
            item.onTake();
        }
    }
}